import { useEffect } from 'react';
import { fromEvent } from 'rxjs';
export function useEvent(target, type, fn, options, disabled = false) {
    useEffect(() => {
        if (target.current && !disabled) {
            const ob = fromEvent(target.current, type, options).subscribe({
                next: (e) => {
                    fn === null || fn === void 0 ? void 0 : fn(e);
                },
            });
            return () => {
                ob.unsubscribe();
            };
        }
    });
}
